curl --request POST \
--url https://api.getsly.ai/v1/v1/mpp/pay \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"service_url": "<string>",
"amount": 123,
"agent_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"wallet_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"currency": "USDC",
"description": "<string>"
}
'{
"data": {
"id": "<string>",
"service_url": "<string>",
"amount": "<string>",
"currency": "<string>",
"status": "pending",
"created_at": "2023-11-07T05:31:56Z",
"session_id": "<string>"
}
}Single M2M payment without opening a session. Useful for first-call or one-off payments.
curl --request POST \
--url https://api.getsly.ai/v1/v1/mpp/pay \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"service_url": "<string>",
"amount": 123,
"agent_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"wallet_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"currency": "USDC",
"description": "<string>"
}
'{
"data": {
"id": "<string>",
"service_url": "<string>",
"amount": "<string>",
"currency": "<string>",
"status": "pending",
"created_at": "2023-11-07T05:31:56Z",
"session_id": "<string>"
}
}API key (pk_test_* or pk_live_), JWT session, agent token (agent_), Ed25519 session (sess_), or portal token (portal_).
Paid
Show child attributes